#include <stdio.h>
#include <stdlib.h>



int main(int argc, char *argv[]) {
	int a,b,c,d;
	scanf("%d%d%d%d", &a, &b, &c, &d);
	if((a==c)&&(b==d))
	{
		printf("nijedan");
	}
	else if((a==c)&&(b>d))
	{
		printf("drugi");
	}
	else if((a>c)&&(b==d))
	{
		printf("prvi");
	}
	else
	{
		printf("?");
	}
	return 0;
}